Resource

Incident Episode State Timeline

Change state of the incident episodes (Created to Acknowledged for example)

The Incident Episode State Timeline Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    incidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode in which this resource belongs

  • Name
    incidentEpisodeId
    Type
    Object IDRequired
    Description

    Relation to Incident Episode ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    incidentState
    Type
    Incident State
    Description

    Incident State Relation. Which incident state does this episode change to?

  • Name
    incidentStateId
    Type
    Object IDRequired
    Description

    Incident State ID Relation. Which incident state does this episode change to?

  • Name
    isOwnerNotified
    Type
    BooleanRequired
    Description

    Are owners notified of state change?

  • Name
    stateChangeLog
    Type
    JSON
    Description

  • Name
    rootCause
    Type
    Markdown
    Description

    What is the root cause of this status change?

  • Name
    endsAt
    Type
    Date
    Description

    When did this status change end?

  • Name
    startsAt
    Type
    Date
    Description

    When did this status change?

  • Name
    shouldStatusPageSubscribersBeNotified
    Type
    Boolean
    Description

    Should status page subscribers be notified about this state change?

  • Name
    subscriberNotificationStatusMessage
    Type
    Very Long Text
    Description

    Status message for subscriber notifications - includes success messages, failure reasons, or skip reasons

GETorPOST/api/incident-episode-state-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode State Timeline. By default, a maximum of ten Incident Episode State Timeline are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode-state-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "incidentStateId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "_id": true
  },
  "query": {
    "subscriberNotificationStatusMessage": "Example subscriber notification status message"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37703220-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37703221-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37703222-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/incident-episode-state-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode State Timeline by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode-state-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "incidentStateId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/incident-episode-state-timeline/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode State Timeline.

Optional Request Body

Count Request

POST
/api/incident-episode-state-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "subscriberNotificationStatusMessage": "Example subscriber notification status message"
  }
}

Response

{
  "count": 107
}
POST/api/incident-episode-state-timeline

Create Incident Episode State Timeline

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode-state-timeline
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/incident-episode-state-timeline/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-state-timeline/:id/update-item
GET/api/incident-episode-state-timeline/:id/update-item

Update Request

PUT
/api/incident-episode-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentStateId": "550e8400-e29b-41d4-a716-446655440000",
    "incidentState": "Example incident state"
  }
}

Response

{}
DELETE/api/incident-episode-state-timeline/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-state-timeline/:id/delete-item
GET/api/incident-episode-state-timeline/:id/delete-item

Delete Request

DELETE
/api/incident-episode-state-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode State Timeline
  • Read All Project Resources

Create Permissions

Required to create Incident Episode State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode State Timeline

Update Permissions

Required to update Incident Episode State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode State Timeline

Delete Permissions

Required to delete Incident Episode State Timeline

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode State Timeline